# Interface methods for submodule: ReconstructionByErosionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ReconstructionByErosionImageFilter
class ReconstructionByErosionImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMarkerImage(self, _arg) -> None:
		""""""
		...

	def GetMarkerImage(self):
		""""""
		...

	def SetMaskImage(self, _arg) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

	def SetUseInternalCopy(self, _arg: bool) -> None:
		""""""
		...

	def GetUseInternalCopy(self) -> bool:
		""""""
		...

	def UseInternalCopyOn(self) -> None:
		""""""
		...

	def UseInternalCopyOff(self) -> None:
		""""""
		...

